libgdal-grass (1:1.0.3-2) unstable; urgency=medium

  * Update packaging for GRASS 8.4.1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Feb 2025 18:27:10 +0100

libgdal-grass (1:1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Feb 2025 16:00:29 +0100

libgdal-grass (1:1.0.3~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop rpath.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Feb 2025 14:59:17 +0100

libgdal-grass (1:1.0.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Switch to CMake buildsystem.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Dec 2024 13:55:38 +0100

libgdal-grass (1:1.0.2-8) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes.
  * Update packaging for GRASS 8.4.0.
  * Update watch file to also match pre-releases.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Aug 2024 10:42:07 +0200

libgdal-grass (1:1.0.2-7) unstable; urgency=medium

  * Replace pkg-config build dependency with pkgconf.
  * Update packaging for GRASS 8.3.2.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Mar 2024 07:59:17 +0100

libgdal-grass (1:1.0.2-6) unstable; urgency=medium

  * Ignore ogrinfo failure on 32 bit architectures,
    instead of limiting autopkgtest architectures.
  * Update packaging for GRASS 8.3.1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 Oct 2023 21:47:36 +0200

libgdal-grass (1:1.0.2-5) unstable; urgency=medium

  * Bump debhelper compat to 13.
  * Drop grass build dependency.
  * Update packaging for GRASS 8.3.0.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Jun 2023 06:14:48 +0200

libgdal-grass (1:1.0.2-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes.
  * Update packaging for GRASS 8.2.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jan 2023 07:48:53 +0100

libgdal-grass (1:1.0.2-3) unstable; urgency=medium

  * Add Rules-Requires-Root to control file.
  * Update README.source for GRASS version check changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Dec 2022 11:53:10 +0100

libgdal-grass (1:1.0.2-2) unstable; urgency=medium

  * Catch wget & tar errors in autopkgtest.
  * Limit autopkgtest to 64bit architectures.
    See: https://github.com/OSGeo/grass/issues/2631

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Nov 2022 18:10:07 +0100

libgdal-grass (1:1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop pr13-Add-support-for-GDAL-3.6.0.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Nov 2022 12:17:52 +0100

libgdal-grass (1:1.0.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Add autopkgtest to catch GDAL/GRASS version errors.
  * Enable Salsa CI.
  * Add upstream patch to fix FTBFS with GDAL 3.6.0.
    (closes: #1023506)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Nov 2022 09:01:16 +0100

libgdal-grass (1:1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * Add docs file to install Markdown documentation.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jun 2022 15:11:07 +0200

libgdal-grass (1:1.0.0-2) unstable; urgency=medium

  * Add patch to fix undefined symbol issues.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Jun 2022 21:34:48 +0200

libgdal-grass (1:1.0.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Jun 2022 08:11:50 +0200

libgdal-grass (1:1.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Use epoch to deal with versioning separate from gdal.
  * Remove VERSION check.
  * Add upstream metadata.
  * Update watch file to use GitHub tags.
  * Use Multi-Arch path for gdalplugins with GDAL 3.5.0.
  * Drop rpath patch, fixed upstream.
  * Drop obsolete dirs file.
  * Drop obsolete dh_autoreconf overrides.
  * Add patch to support DESTDIR, drop obsolete dh_auto_install override.
  * Add patch to not remove -g from C{,XX}FLAGS.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 May 2022 11:22:30 +0200

libgdal-grass (3.4.3-3) unstable; urgency=medium

  * Update packaging for GRASS 8.2.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Jun 2022 12:58:26 +0200

libgdal-grass (3.4.3-2) unstable; urgency=medium

  * Update packaging for GRASS 8.0.2.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 May 2022 16:59:05 +0200

libgdal-grass (3.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 May 2022 11:38:40 +0200

libgdal-grass (3.4.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop Ubuntu PIE changes.
  * Update watch file to match only 3.4.x releases.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Apr 2022 13:31:26 +0200

libgdal-grass (3.4.2-2) unstable; urgency=medium

  * Update packaging for GRASS 8.0.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Mar 2022 07:17:56 +0100

libgdal-grass (3.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Revert GRASS 8 changes.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Mar 2022 13:00:03 +0100

libgdal-grass (3.4.2~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Mar 2022 18:22:04 +0100

libgdal-grass (3.4.1-4~exp1) experimental; urgency=medium

  * Update packaging for GRASS 8.0.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Mar 2022 20:05:50 +0100

libgdal-grass (3.4.1-3) unstable; urgency=medium

  * Update packaging for GRASS 7.8.7.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Feb 2022 19:34:26 +0100

libgdal-grass (3.4.1-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Jan 2022 14:45:30 +0100

libgdal-grass (3.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Jan 2022 12:31:31 +0100

libgdal-grass (3.4.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Dec 2021 06:07:16 +0100

libgdal-grass (3.4.0-1) unstable; urgency=medium

  * Update lintian overrides.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Dec 2021 13:40:46 +0100

libgdal-grass (3.4.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Nov 2021 16:09:34 +0100

libgdal-grass (3.4.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Nov 2021 15:07:27 +0100

libgdal-grass (3.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Oct 2021 17:28:47 +0200

libgdal-grass (3.3.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Oct 2021 16:11:34 +0200

libgdal-grass (3.3.2-2) unstable; urgency=medium

  * Bump debhelper compat to 12, no changes.
  * Update packaging for GRASS 7.8.6.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Oct 2021 17:00:19 +0200

libgdal-grass (3.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file to handle pre-releases in dirversion.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Sep 2021 13:28:26 +0200

libgdal-grass (3.3.2~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Sep 2021 17:50:47 +0200

libgdal-grass (3.3.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Jul 2021 15:03:01 +0200

libgdal-grass (3.3.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Jun 2021 14:18:15 +0200

libgdal-grass (3.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 May 2021 15:04:00 +0200

libgdal-grass (3.3.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Apr 2021 15:16:11 +0200

libgdal-grass (3.3.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Apr 2021 08:11:34 +0200

libgdal-grass (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Mar 2021 15:11:25 +0100

libgdal-grass (3.2.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Mar 2021 14:19:36 +0100

libgdal-grass (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Jan 2021 13:53:03 +0100

libgdal-grass (3.2.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Dec 2020 16:28:30 +0100

libgdal-grass (3.2.0-2) unstable; urgency=medium

  * Update packaging for GRASS 7.8.5.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Dec 2020 21:03:16 +0100

libgdal-grass (3.2.0-2~exp1) experimental; urgency=medium

  * Update packaging for GRASS 7.8.5-rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Dec 2020 16:27:23 +0100

libgdal-grass (3.2.0-1) unstable; urgency=medium

  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Dec 2020 13:04:29 +0100

libgdal-grass (3.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Nov 2020 11:07:32 +0100

libgdal-grass (3.2.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Oct 2020 15:21:53 +0100

libgdal-grass (3.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Oct 2020 07:09:09 +0200

libgdal-grass (3.1.4~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Oct 2020 18:24:52 +0200

libgdal-grass (3.1.3-3) unstable; urgency=medium

  * Update packaging for GRASS 7.8.4.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Oct 2020 09:22:39 +0200

libgdal-grass (3.1.3-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Sep 2020 15:06:04 +0200

libgdal-grass (3.1.3-1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Sep 2020 12:52:41 +0200

libgdal-grass (3.1.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update lintian overrides for renamed tags.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2020 11:57:35 +0200

libgdal-grass (3.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Jul 2020 15:17:33 +0200

libgdal-grass (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 Jun 2020 15:31:56 +0200

libgdal-grass (3.1.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Jun 2020 12:55:38 +0200

libgdal-grass (3.1.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jun 2020 12:19:39 +0200

libgdal-grass (3.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 May 2020 12:08:49 +0200

libgdal-grass (3.1.0~rc3-1~exp2) experimental; urgency=medium

  * Update packaging for GRASS 7.8.3.
  * Update libgdal-dev build dependency to not required rc3.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 May 2020 12:59:56 +0200

libgdal-grass (3.1.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop d-shlibs build dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 May 2020 14:53:32 +0200

libgdal-grass (3.1.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Apr 2020 06:11:29 +0200

libgdal-grass (3.1.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Update email address for Even Rouault.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2020 19:12:00 +0200

libgdal-grass (3.0.4-2) unstable; urgency=medium

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Update packaging for GRASS 7.8.3.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 May 2020 12:43:43 +0200

libgdal-grass (3.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Jan 2020 14:31:58 +0100

libgdal-grass (3.0.4~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.5.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Jan 2020 12:03:04 +0100

libgdal-grass (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Jan 2020 14:57:26 +0100

libgdal-grass (3.0.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jan 2020 15:32:12 +0100

libgdal-grass (3.0.2-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jan 2020 05:55:31 +0100

libgdal-grass (3.0.2-1~exp3) experimental; urgency=medium

  * Update packaging for GRASS 7.8.2.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Dec 2019 20:39:58 +0100

libgdal-grass (3.0.2-1~exp2) experimental; urgency=medium

  * Update packaging for GRASS 7.8.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Nov 2019 13:44:57 +0100

libgdal-grass (3.0.2-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Nov 2019 14:46:20 +0100

libgdal-grass (3.0.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.4.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Oct 2019 15:49:03 +0100

libgdal-grass (3.0.1-1~exp3) experimental; urgency=medium

  * Disable as-needed linking on Debian too, gcc-9 enables it by default.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Sep 2019 22:27:30 +0200

libgdal-grass (3.0.1-1~exp2) experimental; urgency=medium

  * Update packaging for GRASS 7.8.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Sep 2019 10:26:07 +0200

libgdal-grass (3.0.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update watch file to check version directories.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Update PIE hardening conditional, trusty is EOL.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 31 Aug 2019 09:09:43 +0200

libgdal-grass (2.4.3-3) unstable; urgency=medium

  * Update packaging for GRASS 7.8.2.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Dec 2019 20:39:46 +0100

libgdal-grass (2.4.3-2) unstable; urgency=medium

  * Update packaging for GRASS 7.8.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Nov 2019 13:31:58 +0100

libgdal-grass (2.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Nov 2019 14:02:42 +0100

libgdal-grass (2.4.2-3) unstable; urgency=medium

  * Disable as-needed linking on Debian too, gcc-9 enables it by default.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Sep 2019 22:21:39 +0200

libgdal-grass (2.4.2-2) unstable; urgency=medium

  * Update packaging for GRASS 7.8.0.
  * Update PIE hardening conditional, trusty is EOL.
  * Bump Standards-Version to 4.4.0, no changes.
  * Update watch file to check version directories.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Sep 2019 10:11:51 +0200

libgdal-grass (2.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 14:25:23 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgdal-grass`.
